# Share file

#### Syntax

#### &#x20;                                               eueno.shareTo(opts)

#### Example

```
const Eueno = require('@eueno/lib-node');

async function example() {
  const eueno = new Eueno({
    endpoint: 'https://v2-developers.eueno.io',
  });

   const data = await eueno.shareTo(
    {
      fileId: "file id want to share",
      projectKey: "project key,
      projectId: "project id",
      walletPrivateKey: "wallet private key of owner data",
      walletPublicKeyShare: "wallet public key of shared person,
    },
  );
}


example();

```

## Parameters

<table><thead><tr><th width="135">Name</th><th width="107">Type</th><th width="119">Required</th><th>Description</th></tr></thead><tbody><tr><td>opts</td><td>Object</td><td>Yes</td><td>Initialization parameter</td></tr></tbody></table>

## Properties <a href="#properties" id="properties"></a>

**opts**

<table><thead><tr><th width="176">Name</th><th width="107">Type</th><th width="119">Required</th><th>Description</th></tr></thead><tbody><tr><td>fileId</td><td>Integer</td><td>Yes</td><td>File id want to share</td></tr><tr><td>projectKey</td><td>String</td><td>Yes</td><td>project key to authenticate client and eueno server</td></tr><tr><td>projectId</td><td>Integer</td><td>Yes</td><td>Id project eueno</td></tr><tr><td>walletPrivateKey</td><td>String</td><td>Yes</td><td>wallet private key of owner data</td></tr><tr><td>walletPublicKeyShare</td><td>String</td><td>Yes</td><td>wallet public key of shared person</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eueno.io/eueno-libraries/eueno-lib-node/share-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
